Skip to main content
GET
/
v1
/
cards
List cards
curl --request GET \
  --url https://api.platnova.com/v1/cards \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.platnova.com/v1/cards"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.platnova.com/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": [
    {
      "id": "18ee492a-617c-4878-958a-2ee08dc20ff4",
      "amount": "4",
      "created_at": "2025-07-22T14:23:40.634516+01:00",
      "events": [
        {
          "event_id": "UTR_zPV3SCUoo66yeH4syVxLdac7CqAvff",
          "amount": "4",
          "merchant_name": "Platnova",
          "created_at": "2025-07-22T13:29:03.940373Z",
          "description": "Platnova | Card creati...",
          "type": "create_card",
          "currency": "ngn",
          "status": "success",
          "meta": {}
        }
      ],
      "currency": "ngn",
      "info": {
        "provider_id": "1234567890",
        "provider": 4,
        "pan": "",
        "masked_pan": "489928******2417",
        "last4": "2417",
        "city": "New York",
        "state": "NY",
        "address": "123 Main St",
        "zip_code": "10001",
        "cvv": "",
        "expiry_month": "01",
        "expiry_year": "2026",
        "brand": "mastercard",
        "type": "virtual",
        "name_on_card": "John Doe",
        "colors": null,
        "label": "General",
        "control": {
          "limits": null,
          "channels": null
        }
      },
      "status": "active",
      "notes": "We now charge $0.30 fee for declined transactions due to insufficient funds. The affected card may be terminated if the balance isn't sufficient to cover the charge after one failed attempt.",
      "title": "General"
    }
  ],
  "error": [],
  "message": "operation was successful"
}
{
"status": false,
"data": {},
"error": [],
"message": "customer was not found"
}

Overview

Retrieve a list of all cards belonging to a specific customer. This endpoint returns cards with their basic information, balance, and recent events.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Query Parameters

customer_id
string

Filter by customer ID (UUID)

Response

200 - Success

status
boolean
data
object[]
error
any[]
message
string